// Code generated by ent, DO NOT EDIT.

package useremail

const (
	// Label holds the string label denoting the useremail type in the database.
	Label = "user_email"
	// FieldID holds the string denoting the id field in the database.
	FieldID = "id"
	// FieldValue holds the string denoting the value field in the database.
	FieldValue = "value"
	// FieldCreatedAt holds the string denoting the createdat field in the database.
	FieldCreatedAt = "created_at"
	// FieldIsVerified holds the string denoting the isverified field in the database.
	FieldIsVerified = "is_verified"
	// EdgeUser holds the string denoting the user edge name in mutations.
	EdgeUser = "user"
	// Table holds the table name of the useremail in the database.
	Table = "user_emails"
	// UserTable is the table that holds the user relation/edge.
	UserTable = "user_emails"
	// UserInverseTable is the table name for the User entity.
	// It exists in this package in order to avoid circular dependency with the "user" package.
	UserInverseTable = "users"
	// UserColumn is the table column denoting the user relation/edge.
	UserColumn = "user_emails"
)

// Columns holds all SQL columns for useremail fields.
var Columns = []string{
	FieldID,
	FieldValue,
	FieldCreatedAt,
	FieldIsVerified,
}

// ForeignKeys holds the SQL foreign-keys that are owned by the "user_emails"
// table and are not defined as standalone fields in the schema.
var ForeignKeys = []string{
	"user_emails",
}

// ValidColumn reports if the column name is valid (part of the table columns).
func ValidColumn(column string) bool {
	for i := range Columns {
		if column == Columns[i] {
			return true
		}
	}
	for i := range ForeignKeys {
		if column == ForeignKeys[i] {
			return true
		}
	}
	return false
}
